window.addEventListener('load', () => {

    let abrilDataUser = AbrilMinhaAbril.getCookie('abrilDataUser');
    if (abrilDataUser == "") {
        let url = (new URL(document.location)).searchParams;

        switch (url.get("action")) {
            case null:
                if (typeof assine_environment === "undefined") {
                location.href = encodeURI(location.origin + "?action=logout");
                }
                break;
            default:
                break;
        }
    }else{
        location.href = "/conta"
    }
    assine_send_recover_email();

});

const assine_send_recover_email = () => {

    jQuery('.lost-password .submit').click(function (e) {
        e.preventDefault();

        const modal_error_title = 'Oh, oh. Algo deu errado.';
        const modal_error_description = 'Houve algum erro e sua requisição não foi processada. Por favor, tente novamente.';

        if(jQuery("#email").val().length === 0){
            jQuery('#error-email').text("E-mail não preenchido");
        }

        jQuery.ajax({
            type: 'POST',
            url: ma_data.ajax_url,
            data: {
                action: 'abril_get_reset_senha',
                esqueci_senha: jQuery("#abril_login_nonce").val(),
                email: jQuery("#email").val(),
            },
            beforeSend: function(){
                jQuery('#loader-nova-senha').show();
            },
            success: response => {

                jQuery('#loader-nova-senha').hide();
                let obj = JSON.parse(response);

                if(obj.codStatus === "EP"){
                    jQuery('#error-email').text(obj.dscMensagem);
                }else{
                    jQuery(".reset-senha div.step1").hide();
                    jQuery(".reset-senha div.step2").show();
                    jQuery(".reset-senha div.step2 span").text(emailMask(obj.dscEmail));
                    jQuery("h3.site-main-title-reset").text("ENVIO DE SENHA");
                }

            },
            error: response => {
                console.log(response);
                open_main_modal(modal_error_title, modal_error_description);
            }
        });


    });
}

const emailMask = (email) => {

    var maskedEmail = email.replace(/([^@\.])/g, "*").split('');
    var previous	= "";
    for(i=0;i<maskedEmail.length;i++){
        if (i<=1 || previous == "." || previous == "@"){
            maskedEmail[i] = email[i];
        }
        previous = email[i];
    }
    return maskedEmail.join('');
}
